Subject: bug#31492: 26.1; query-replace-regexp undo fails in regexps w/o printable chars

From: Tino Calancha <[email-masked]>
Date: Sun, 20 May 2018 21:06:21 +0900 (JST)

On Sun, 20 May 2018, Eli Zaretskii wrote:

>> From: Tino Calancha <[email-masked]>
>> Cc: [email-masked]
>> Date: Sun, 20 May 2018 20:51:10 +0900
>>
>> If the problem arise from using markers istead of integers, then how
>> about we just use integers?
>
> Does this work with '^' and 'C-e', if they change text before a match
> that was already replaced and recorded?
I don't understand.  Do you have a recipe?

BTW, I found another issue in this feature.
I will open another report.